关于 Xcode 11.0 的安全性内容

本文介绍了 Xcode 11.0 的安全性内容。

关于 Apple 安全性更新

为保护我们的客户,在没有进行调查并推出修补程序或发行版本之前,Apple 不会透露、讨论或确认安全性问题。“Apple 安全性更新”页面上列出了近期发布的版本。

如果可能,Apple 安全性文稿会引用 CVE-ID 中列出的安全漏洞。

如果需要了解有关安全性的更多信息,请参阅“Apple 产品安全性”页面。

Xcode 11.0

发布于 2019 年 9 月 19 日

IDE SCM

适用于:macOS Mojave 10.14.4 及更高版本

影响:libssh2 中存在多个问题

描述:已通过更新至版本 2.16 解决多个问题。

CVE-2019-3855: Chris Coulson

ld64

适用于:macOS Mojave 10.14.4 及更高版本

影响:在没有正确输入验证的情况下编译代码可能会导致以用户权限执行任意代码

描述:已通过更新至版本 ld64-507.4 解决 Xcode 工具链内 ld64 中的多个问题。

CVE-2019-8721: Pan ZhenPeng of Qihoo 360 Nirvan Team

CVE-2019-8722: Pan ZhenPeng of Qihoo 360 Nirvan Team

CVE-2019-8723: Pan ZhenPeng of Qihoo 360 Nirvan Team

CVE-2019-8724: Pan ZhenPeng of Qihoo 360 Nirvan Team

otool

适用于:macOS Mojave 10.14.4 及更高版本

影响:处理恶意制作的文件可能会导致任意代码执行

描述:已通过改进状态管理解决内存损坏问题。

CVE-2019-8738: Pan ZhenPeng (@Peterpan0927) of Qihoo 360 Nirvan Team

CVE-2019-8739: Pan ZhenPeng (@Peterpan0927) of Qihoo 360 Nirvan Team

有关非 Apple 制造的产品或非 Apple 控制或测试的独立网站的信息仅供参考,不代表 Apple 的任何建议或保证。Apple 对于第三方网站或产品的选择、性能或使用不承担任何责任。Apple 对于第三方网站的准确性和可靠性不作任何担保。互联网的使用具有一定风险。请联系供应商以了解其他信息。其他公司和产品名称可能是其各自所有公司的商标。

发布日期: